<?php
/**
 * Application initializer
 *
 * Please remember that this include file is being loaded *before* the class
 * loader is loading classes from "exceptions", "interfaces" and "main"!
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright(c) 2007, 2008 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 * @link 		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
//
//
// Get an instance of the initializer
$eval = sprintf("\$app = %s::getInstance();",
	FrameworkConfiguration::getInstance()->readConfig("app_helper_class")
);
eval($eval);

// Set application name and version
$app->setAppName("Applikationsausw&auml;hler");
$app->setAppVersion("0.1a");
$app->setAppShortName(FrameworkConfiguration::getInstance()->readConfig("selector_name"));

// Initialize output system
require(PATH . "inc/output.php");

// Initialize file i/o system
require(PATH . "inc/file_io.php");

// Include the language sub-system
require(PATH . "inc/language.php");

// [EOF]
?>
